Bug 126879 - www/plone3 update to 3.1.5
Summary: www/plone3 update to 3.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-27 11:20 UTC by NAKAJI Hiroyuki
Modified: 2008-08-30 15:10 UTC (History)
0 users

See Also:


Attachments
file.diff (7.82 KB, patch)
2008-08-27 11:20 UTC, NAKAJI Hiroyuki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description NAKAJI Hiroyuki 2008-08-27 11:20:01 UTC
	Plone 3.1.5 was released.
Comment 1 Martin Wilke freebsd_committer 2008-08-27 14:09:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 rasmus 2008-08-27 22:59:40 UTC
Maybe the python version used could be lifted to 2.5 (the default) in
the same time?

-- 
Rasmus Kaj <rasmus@ardendo.se>
Comment 3 NAKAJI Hiroyuki 2008-08-28 01:14:56 UTC
>>>>> In <1219874380.14225.10.camel@heterodyne> 
>>>>>	Rasmus Kaj <rasmus@ardendo.se> wrote:

> Maybe the python version used could be lifted to 2.5 (the default) in
> the same time?

No. Plone 3.1.5 depends on Zope 2.10.4 or newer, which requires python
2.4.

In Zope-2.10.6-final/doc/INSTALL.txt,

   * Python 2.4.2 or later installed somewhere in the system PATH
     (Python 2.5 is not supported)

BTW, Plone 3.1.5.1 has already been released. I'll update my patch ASAP.

Thanks.
-- 
NAKAJI Hiroyuki
Comment 4 NAKAJI Hiroyuki 2008-08-28 05:56:42 UTC
Here is a patch to Plone-3.1.5.1 from ports-current. Thanks.

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/plone3/Makefile,v
retrieving revision 1.40
diff -u -u -r1.40 Makefile
--- Makefile	31 Jul 2008 05:01:36 -0000	1.40
+++ Makefile	28 Aug 2008 04:36:50 -0000
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	plone3
-PORTVERSION=	3.1.4
+PORTVERSION=	3.1.5.1
 CATEGORIES=	www zope
-MASTER_SITES=	https://launchpad.net/plone/${PORTVERSION:R}/${PORTVERSION}/+download/
+MASTER_SITES=	https://launchpad.net/plone/3.1/${PORTVERSION}/+download/
 DISTNAME=	Plone-${PORTVERSION}
 DIST_SUBDIR=	zope
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/plone3/distinfo,v
retrieving revision 1.25
diff -u -u -r1.25 distinfo
--- distinfo	31 Jul 2008 05:01:36 -0000	1.25
+++ distinfo	28 Aug 2008 04:38:20 -0000
@@ -1,3 +1,3 @@
-MD5 (zope/Plone-3.1.4.tar.gz) = 1bdd7db2676ec829396a02e4c4c3e123
-SHA256 (zope/Plone-3.1.4.tar.gz) = 351b3bdc0348ecef0ee9932ee994a1b8286c9216d7c3ed5b11c3501796d17d08
-SIZE (zope/Plone-3.1.4.tar.gz) = 12731933
+MD5 (zope/Plone-3.1.5.1.tar.gz) = fd1438613d402630b44a76c6271744a0
+SHA256 (zope/Plone-3.1.5.1.tar.gz) = 565baee275a7463022df05d05a310e14de8f70d5cb93474e4eeac96e6b37d87f
+SIZE (zope/Plone-3.1.5.1.tar.gz) = 12742358
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/www/plone3/pkg-plist,v
retrieving revision 1.19
diff -u -u -r1.19 pkg-plist
--- pkg-plist	31 Jul 2008 05:01:36 -0000	1.19
+++ pkg-plist	27 Aug 2008 10:07:47 -0000
@@ -2727,6 +2727,7 @@
 %%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles/three0_beta1/metadata.xml
 %%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles/three0_beta1/portlets.xml
 %%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles/three11_three12/jsregistry.xml
+%%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles/three13_three14/propertiestool.xml
 %%ZOPEPRODUCTDIR%%/CMFPlone/overrides.zcml
 %%ZOPEPRODUCTDIR%%/CMFPlone/patches/__init__.py
 %%ZOPEPRODUCTDIR%%/CMFPlone/patches/__init__.pyc
@@ -3829,8 +3830,6 @@
 %%ZOPEPRODUCTDIR%%/CMFPlone/tests/testTranslationServiceTool.pyc
 %%ZOPEPRODUCTDIR%%/CMFPlone/tests/testURLTool.py
 %%ZOPEPRODUCTDIR%%/CMFPlone/tests/testURLTool.pyc
-%%ZOPEPRODUCTDIR%%/CMFPlone/tests/testUnicodeNormalizer.py
-%%ZOPEPRODUCTDIR%%/CMFPlone/tests/testUnicodeNormalizer.pyc
 %%ZOPEPRODUCTDIR%%/CMFPlone/tests/testUnicodeSplitter.py
 %%ZOPEPRODUCTDIR%%/CMFPlone/tests/testUnicodeSplitter.pyc
 %%ZOPEPRODUCTDIR%%/CMFPlone/tests/testUserFolderBasics.py
@@ -6262,6 +6261,8 @@
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/pt/LC_MESSAGES/plonefrontpage.po
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/pt/LC_MESSAGES/plonelocales.mo
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/pt/LC_MESSAGES/plonelocales.po
+%%ZOPEPRODUCTDIR%%/PloneTranslations/locales/pt_BR/LC_MESSAGES/plonefrontpage.mo
+%%ZOPEPRODUCTDIR%%/PloneTranslations/locales/pt_BR/LC_MESSAGES/plonefrontpage.po
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/pt_BR/LC_MESSAGES/plonelocales.mo
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/pt_BR/LC_MESSAGES/plonelocales.po
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/rm/LC_MESSAGES/plonelocales.mo
@@ -6310,15 +6311,8 @@
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/zh_HK/LC_MESSAGES/plonelocales.po
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/zh_TW/LC_MESSAGES/plonelocales.mo
 %%ZOPEPRODUCTDIR%%/PloneTranslations/locales/zh_TW/LC_MESSAGES/plonelocales.po
-%%ZOPEPRODUCTDIR%%/PloneTranslations/tests/README.txt
 %%ZOPEPRODUCTDIR%%/PloneTranslations/tests/__init__.py
 %%ZOPEPRODUCTDIR%%/PloneTranslations/tests/__init__.pyc
-%%ZOPEPRODUCTDIR%%/PloneTranslations/tests/framework.py
-%%ZOPEPRODUCTDIR%%/PloneTranslations/tests/framework.pyc
-%%ZOPEPRODUCTDIR%%/PloneTranslations/tests/i18ngenerator.py
-%%ZOPEPRODUCTDIR%%/PloneTranslations/tests/i18ngenerator.pyc
-%%ZOPEPRODUCTDIR%%/PloneTranslations/tests/runalltests.py
-%%ZOPEPRODUCTDIR%%/PloneTranslations/tests/runalltests.pyc
 %%ZOPEPRODUCTDIR%%/PloneTranslations/tests/test_i18n.py
 %%ZOPEPRODUCTDIR%%/PloneTranslations/tests/test_i18n.pyc
 %%ZOPEPRODUCTDIR%%/PloneTranslations/utils/admix.py
@@ -6329,8 +6323,6 @@
 %%ZOPEPRODUCTDIR%%/PloneTranslations/utils/fillmsgstr.pyc
 %%ZOPEPRODUCTDIR%%/PloneTranslations/utils/filter.py
 %%ZOPEPRODUCTDIR%%/PloneTranslations/utils/filter.pyc
-%%ZOPEPRODUCTDIR%%/PloneTranslations/utils/i18ngenerate.py
-%%ZOPEPRODUCTDIR%%/PloneTranslations/utils/i18ngenerate.pyc
 %%ZOPEPRODUCTDIR%%/PloneTranslations/utils/list.py
 %%ZOPEPRODUCTDIR%%/PloneTranslations/utils/list.pyc
 %%ZOPEPRODUCTDIR%%/PloneTranslations/utils/rebuild-pot.py
@@ -7957,6 +7949,7 @@
 %%ZOPELIBPYTHONDIR%%/borg/localrole/default.zcml
 %%ZOPELIBPYTHONDIR%%/borg/localrole/default_adapter.py
 %%ZOPELIBPYTHONDIR%%/borg/localrole/default_adapter.pyc
+%%ZOPELIBPYTHONDIR%%/borg/localrole/exportimport.zcml
 %%ZOPELIBPYTHONDIR%%/borg/localrole/factory_adapter.py
 %%ZOPELIBPYTHONDIR%%/borg/localrole/factory_adapter.pyc
 %%ZOPELIBPYTHONDIR%%/borg/localrole/interfaces.py
@@ -8897,6 +8890,8 @@
 %%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/configure.zcml
 %%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/datecomponents.py
 %%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/datecomponents.pyc
+%%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/multicheckboxwidget.py
+%%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/multicheckboxwidget.pyc
 %%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/interfaces.py
 %%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/interfaces.pyc
 %%ZOPELIBPYTHONDIR%%/plone/app/form/widgets/overrides.zcml
@@ -9366,6 +9361,8 @@
 %%ZOPELIBPYTHONDIR%%/plone/app/openid/setuphandlers.pyc
 %%ZOPELIBPYTHONDIR%%/plone/app/openid/skins/ploneopenid/logged_out.cpt
 %%ZOPELIBPYTHONDIR%%/plone/app/openid/skins/ploneopenid/logged_out.cpt.metadata
+%%ZOPELIBPYTHONDIR%%/plone/app/openid/skins/ploneopenid/login_failed.cpt
+%%ZOPELIBPYTHONDIR%%/plone/app/openid/skins/ploneopenid/login_failed.cpt.metadata
 %%ZOPELIBPYTHONDIR%%/plone/app/openid/skins/ploneopenid/login_form.cpt
 %%ZOPELIBPYTHONDIR%%/plone/app/openid/skins/ploneopenid/login_form.cpt.metadata
 %%ZOPELIBPYTHONDIR%%/plone/app/openid/skins/ploneopenid/openid-icon.gif
@@ -10021,6 +10018,8 @@
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/negotiator.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/path.py
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/path.pyc
+%%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/subdomain.py
+%%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/subdomain.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/__init__.py
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/__init__.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_cookie.py
@@ -10029,6 +10028,8 @@
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_negotiator.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_path.py
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_path.pyc
+%%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_subdomain.py
+%%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_subdomain.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_tld.py
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tests/test_tld.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/negotiator/tld.py
@@ -10044,6 +10045,8 @@
 %%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/de.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/el.py
 %%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/el.pyc
+%%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/fr.py
+%%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/fr.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/interfaces.py
 %%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/interfaces.pyc
 %%ZOPELIBPYTHONDIR%%/plone/i18n/normalizer/pl.py
@@ -11095,6 +11098,7 @@
 @dirrm %%ZOPEPRODUCTDIR%%/CMFPlone/profiles/default
 @dirrm %%ZOPEPRODUCTDIR%%/CMFPlone/profiles
 @dirrm %%ZOPEPRODUCTDIR%%/CMFPlone/patches
+@dirrm %%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles/three13_three14
 @dirrm %%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles/three11_three12
 @dirrm %%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles/three0_beta1
 @dirrm %%ZOPEPRODUCTDIR%%/CMFPlone/migrations/v3_1/profiles

-- 
NAKAJI Hiroyuki
Comment 5 Martin Wilke freebsd_committer 2008-08-30 15:08:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2008-08-30 15:08:42 UTC
miwi        2008-08-30 14:08:16 UTC

  FreeBSD ports repository

  Modified files:
    www/plone3           Makefile distinfo pkg-plist 
  Log:
  - Update to 3.1.5.1
  
  PR:             126879
  Submitted by:   NAKAJI Hiroyuki <nakaji@jp.freebsd.org> (maintainer)
  
  Revision  Changes    Path
  1.41      +2 -2      ports/www/plone3/Makefile
  1.26      +3 -3      ports/www/plone3/distinfo
  1.20      +15 -11    ports/www/plone3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"